* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    overflow: hidden;
    font-family: Arial, sans-serif;
    background: black;
}



#bg-video {
    position: fixed;
    right: 0;
    bottom: 0;
    min-width: 100%;
    min-height: 100%;
    object-fit: cover;
    z-index: -1;
}



.overlay {
    position: relative;
    width: 100%;
    height: 100vh;
}





.game-title {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);

    width: 1000px;
    z-index: 2;
}



.press-enter {
    position: absolute;
    bottom: 20%;
    left: 50%;
    transform: translateX(-50%);

    width: 400px;
    animation: blink 1.2s infinite;
    z-index: 3;
}

@keyframes blink {
    0% {
        opacity: 1;
    }

    50% {
        opacity: 0.3;
    }

    100% {
        opacity: 1;
    }
}



.fade-out {
    animation: fadeOut 1s forwards;
}

@keyframes fadeOut {
    to {
        opacity: 0;
    }
}

.fade-in {
    animation: fadeIn 1s;
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}



.game-body {
    margin: 0;
    overflow: hidden;
    background: black;
}

#gameCanvas {
    display: block;
    width: 100%;
    height: 100%;
}



.signature-logo {
    position: fixed;
    bottom: 20px;
    right: 20px;
    height: 200px;
    
    width: auto;
    z-index: 9999;
    pointer-events: none;
    
    opacity: 0.8;
    
}